GLS ShipIT 4.0.f7 GLS ShipIT - SOAP services

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.LabelFormat Enum Reference

## Public Member Functions
| LabelFormat (String v)
String | value ()

## Static Public Member Functions
static LabelFormat | fromValue (String v)

## Public Attributes
| PDF =("PDF")
| XmlEnumValue
| PNG =("PNG")
| PNG_200 =("PNG_200")

## Detailed Description

Java class for LabelFormat.

The following schema fragment specifies the expected content contained within this class.

    <simpleType name="LabelFormat">
      <restriction base="{http://www.w3.org/2001/XMLSchema}string">
        <enumeration value="PDF"/>
        <enumeration value="Zebra"/>
        <enumeration value="Intermec"/>
        <enumeration value="Datamax"/>
        <enumeration value="Toshiba"/>
        <enumeration value="PNG"/>
        <enumeration value="PNG_200"/>
      </restriction>
    </simpleType>

Definition at line 30 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/LabelFormat.java.

## Constructor & Destructor Documentation

## ◆ LabelFormat()

eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.LabelFormat.LabelFormat | ( | String | v | ) |

Definition at line 45 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/LabelFormat.java.

## Member Function Documentation

## ◆ fromValue()

static LabelFormat eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.LabelFormat.fromValue | ( | String | v | ) |
| static

Definition at line 53 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/LabelFormat.java.

## ◆ value()

String eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.LabelFormat.value | ( |  | ) |

Definition at line 49 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/LabelFormat.java.

## Member Data Documentation

## ◆ PDF

eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.LabelFormat.PDF =("PDF")

Definition at line 32 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/LabelFormat.java.

## ◆ PNG

eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.LabelFormat.PNG =("PNG")

Definition at line 41 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/LabelFormat.java.

## ◆ PNG_200

eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.LabelFormat.PNG_200 =("PNG_200")

Definition at line 42 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/LabelFormat.java.

## ◆ XmlEnumValue

eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.LabelFormat.XmlEnumValue

Initial value:
=("Zebra")
ZEBRA("Zebra")

Definition at line 33 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/LabelFormat.java.

The documentation for this enum was generated from the following file:

- glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/LabelFormat.java